/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package guitaramplifier;

/**
 *
 * @author gsc35
 */
public class AmpModel 
{
    private String name;
    private int drive;
    private int bass;
    private int mid;
    private int treble;
    private int presence;
    private int volume;
    private int reverb;
    private boolean soundGateOn = false;
    private boolean compressorOn = false;
    
    public AmpModel(String name)
    {
        this.name = name;
        this.drive = 1;
        this.bass = 1;
        this.mid = 1;
        this.treble = 1;
        this.presence = 1;
        this.volume = 1;
        this.reverb = 1;
    }
    
    public void setName(String name)
    {
        this.name = name;
    }
    
    public void setDrive(int drive)
    {
        this.drive = drive;
    }
    
    public void setBass(int bass)
    {
        this.bass = bass;
    }
    
    public void setMid(int mid)
    {
        this.mid = mid;
    }
    
    public void setTreble(int treble)
    {
        this.treble = treble;
    }
    
    public void setPresence(int presence)
    {
        this.presence = presence;
    }
    
    public void setVolume(int volume)
    {
        this.volume = volume;
    }
    
    public void setReverb(int reverb)
    {
        this.reverb = reverb;
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getDrive()
    {
        return drive;
    }
    
    public int getBass()
    {
        return bass;
    }
    
    public int getMid()
    {
        return mid;
    }
    
    public int getTreble()
    {
        return treble;
    }
    
    public int getPresence()
    {
        return presence;
    }
    
    public int getVolume()
    {
        return volume;
    }
    
    public int getReverb()
    {
        return reverb;
    }
    
    public void setCompressorStatus(String status)
    {
        if (status.equalsIgnoreCase("On"))
        {
            compressorOn = true;
        }
        else if (status.equalsIgnoreCase("Off"))
        {
            compressorOn = false;
        }
    }        
    
    public boolean getCompressorStatus()
    {
            return compressorOn;
    }
    
    public void setSoundGateStatus(String status)
    {
        if (status.equalsIgnoreCase("On"))
        {
            soundGateOn = true;
        }
        else if (status.equalsIgnoreCase("Off"))
        {
            soundGateOn = false;
        }
    }        
    
    public boolean getSoundGateStatus()
    {   
            return soundGateOn;
    }  
}
